Bug 157026 - missing return statement
Summary: missing return statement
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 10:07 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2_1_0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 23:43:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-05-06 10:07:33 UTC
Description of problem:

I just tried to compile package setools-2.1.0-2 from Redhat
Fedora Core development tree with the most excellent Intel C
compiler.

The compiler said

poldiff.c(247): warning #1011: missing return statement at end of non-void
function "add_rule_to_cond_expr_diff"

The source code is

        }
}

Suggest add return statement to the end of the function.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2005-05-06 12:26:35 UTC
FIxed in setools-2_1_0-3


Note You need to log in before you can comment on or make changes to this bug.